ext {

    android = [
            compileSdkVersion: 27,
            buildToolsVersion: "27.0.3",
            supportVersion   : "27.0.1",
            applicationId    : "com",
            minSdkVersion    : 17,
            targetSdkVersion : 23,
            versionCode      : 1,
            versionName      : "2.1.0",
            versionApi       : "2.1",
    ]

    dependencies = [
            "appcompatV7"            : "com.android.support:appcompat-v7:${android.supportVersion}",
            "recyclerviewV7"         : "com.android.support:recyclerview-v7:${android.supportVersion}",
            "design"                  : "com.android.support:design:${android.supportVersion}",
            "cardviewV7"                  : "com.android.support:cardview-v7:${android.supportVersion}",
            "supportV4"                  : "com.android.support:support-v4:${android.supportVersion}",
            "constraint": 'com.android.support.constraint:constraint-layout:1.0.2',
            //Log日志打印库
            "xlog":'com.elvishew:xlog:1.4.0',
            //网络请求库
            "okgo": 'com.lzy.net:okgo:3.0.4',
            //九宫格图片
            "ninegridview": 'com.lzy.widget:ninegridview:0.2.0',
            //图片框架
            "glide": 'com.github.bumptech.glide:glide:4.6.1',
            "compiler": 'com.github.bumptech.glide:compiler:4.6.1',
            "transformations": 'jp.wasabeef:glide-transformations:3.1.1',
            //为"单Activity ＋ 多Fragment","多模块Activity + 多Fragment"架构而生,替代官方fragment
            "fragmentation":'me.yokeyword:fragmentation:1.1.1',
            //事件总线 eventBus
            "eventbus":'org.greenrobot:eventbus:3.0.0',
            //透明状态栏导航栏、沉浸式状态栏导航栏的终极解决方案
            "statusbarutil":'com.jaeger.statusbarutil:library:1.5.0',
            //    butterknife
           "butterknife":'com.jakewharton:butterknife:8.4.0',
//           "butterknifeCompiler":'com.jakewharton:butterknife-compiler:8.8.1',
            /*时间轴*/
            "poweradapter":'com.lin:poweradapter:1.3@aar',
            //RecyclerView的强大的BaseAdapter
            "BaseRecyclerViewAdapterHelper":'com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.35',
            "fastjson":'com.alibaba:fastjson:1.2.62',
            "gson":'com.google.code.gson:gson:2.8.2',
            /*沉浸式状态栏*/
            "barlibrary":'com.gyf.barlibrary:barlibrary:2.3.0',
            "Toasty":'com.github.GrenderG:Toasty:1.2.8',
            //启动动画
            "ParticleView": 'me.wangyuwei:ParticleView:1.0.4',
            /*底部导航栏*/
            "JPTabBar": 'com.jpeng:JPTabBar:1.4.0',
            /*Android智能下拉刷新框架*/
            "SmartRefreshLayout": 'com.scwang.smartrefresh:SmartRefreshLayout:1.0.5.1',
            "SmartRefreshHeader" :'com.scwang.smartrefresh:SmartRefreshHeader:1.0.5.1',//没有使用特殊Header，可以不加这行
            //ViewPagerIndicator 导航
            "ViewPagerIndicator": 'com.shizhefei:ViewPagerIndicator:1.1.6',
            //Spinner
            "Spinner": 'com.jaredrummler:material-spinner:1.3.1',
            //拍照添加图片库
            "takephoto": 'com.jph.takephoto:takephoto_library:4.0.3',
            /*视频拍摄库*/
            "LandscapeVideoCamera": 'com.github.jeroenmols:LandscapeVideoCamera:1.3.0',
            /*涂鸦库*/
            "graffiti": 'com.hzw.graffiti:graffiti:4.3.1',
            /*权限管理库*/
            "hipermission": 'me.weyye.hipermission:library:1.0.7',
            "permission": 'com.yanzhenjie:permission:2.0.0-rc4',
            /*apk升级库*/
            "updateplugin": 'com.github.yjfnypeu:UpdatePlugin:3.0.0',
            /*视频播放器*/
            "gsyVideoPlayer":'com.shuyu:GSYVideoPlayer:4.1.1',
            /*日期选择器*/
            'TimePickerDialog': 'com.jzxiang.pickerview:TimePickerDialog:1.0.1',
            /*解决65536问题*/
            "multidex": 'com.android.support:multidex:1.0.2',
            /*数据库*//*
            "litepal":'org.litepal.android:core:1.6.1'*/
            /*图片选择器*/
            "PictureSelector":'com.github.LuckSiege.PictureSelector:picture_library:v2.2.3',
            /*腾讯云精简版 SDK*/
            "cosxmlLite":'com.qcloud.cos:cos-android-lite:5.6.5'



    ]
}